Skip to main content
PATCH
Update an event

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

eventId
string
required

Event ID

Example:

"evt_xyz789"

Body

multipart/form-data
title
string

The title of the event

Example:

"Tech Conference 2025"

category
string

General category of the event

Example:

"Technology"

description
string

Detailed description of what the event is about

Example:

"A conference for software engineers and founders"

start_date
number

Event start date as Unix Timestamp (Seconds or Milliseconds)

Example:

1735651200000

close_date
number

Event end date as Unix Timestamp

Example:

1735665600000

is_visible
boolean

Whether to show the event to the public immediately

Example:

false

show_on_tickify
boolean

Whether the event should be displayed on Tickify public site (requires admin approval)

Example:

false

timezone
string

The IANA timezone string

Example:

"America/Sao_Paulo"

entry_minutes_in_advance
number

How many minutes before start time attendees can enter

Required range: x >= 5
Example:

10

banner_image
file

Banner image file (Upload)

profile_image
file

Profile/Thumbnail image file (Upload)

video_url
string
Example:

"https://www.youtube.com/watch?v=dQw4w9WgXcQ"

organizer_name
string

Overrides the logged-in user profile name for this specific event

Example:

"Tech Community Global"

organizer_bio
string

Overrides the logged-in user profile bio for this specific event

Example:

"We run technical events for modern engineers."

organizer_country
string

ISO 3166-1 alpha-2 country code for Stripe Connect onboarding (e.g., US, GB, CA, AU)

Example:

"US"

upsell_images
file[]
require_waiver
boolean

Explicitly require a waiver

enable_waitlist
boolean

Enable/Disable the event waitlist

ticket_tiers
string

JSON string of ticket tiers

upsells
object[]

JSON string of upsells array

location
string

JSON string of location object

JSON string of social links object

verifiers
object

JSON string of verifier keys array

organisers
object

JSON string of organiser keys array

Response

Event updated successfully

eventId
string
Example:

"evt_techconf2025"

status
string
Example:

"ACTIVE"

event
object
message
string
Example:

"Event updated successfully"